CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

XRefFadeIntensity 属性 (ActiveX)

2023-1-3 00:52| 发布者: admin| 查看: 183| 评论: 0|来自: AutoCAD

摘要: 控制外部参照的调光强度。

控制外部参照的调光强度。

支持的平台:仅窗口

签名

工 务 局:

object.XRefFadeIntensity
对象

类型:首选项显示

此属性适用的对象。

属性值

只读:

类型:

一个介于 1 到 90 之间的正长整数,表示 XRef 的淡入淡出百分比。

言论

此属性的初始值为 50。

注意:此属性的值存储在 XFADECTL 系统变量中。

例子

工 务 局:

Sub Example_XRefFadeIntensity()
    ' This example reads and modifies the preference value that controls
    ' the dimming intensity for xrefs. When finished, this example resets
    ' the preference value back to its original value.
    '
    ' * Note: Changes can only be observed when in-place editing of an Xref
    ' object is in progress and other entities are visible.
    
    Dim ACADPref As AcadPreferencesDisplay
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the display preferences object
    Set ACADPref = ThisDrawing.Application.preferences.DISPLAY
    
    ' Read and display the original value
    originalValue = ACADPref.XRefFadeIntensity
    MsgBox "The XRefFadeIntensity preference is: " & originalValue

    ' Modify the XRefFadeIntensity preference by setting it to 75
    ACADPref.XRefFadeIntensity = 75
    newValue = ACADPref.XRefFadeIntensity
    ThisDrawing.Regen acAllViewports
    
    MsgBox "The XRefFadeIntensity preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.XRefFadeIntensity = originalValue
    ThisDrawing.Regen acAllViewports
    
    MsgBox "The XRefFadeIntensity preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_XRefFadeIntensity()
    ;; This example reads and modifies the preference value that controls
    ;; the dimming intensity for xrefs. When finished, this example resets
    ;; the preference value back to its original value.
    ;;
    ;; * Note: Changes can only be observed when in-place editing of an Xref
    ;; object is in progress and other entities are visible.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-XRefFadeIntensity (vla-get-Display preferences)))
    (alert (strcat "The XRefFadeIntensity preference is: " (itoa originalValue)))

    ;; Modify the XRefFadeIntensity preference by setting it to 75
    (vla-put-XRefFadeIntensity (vla-get-Display preferences) 75)
    (vla-Regen doc acAllViewports)
    (alert (strcat "The XRefFadeIntensity preference has been set to: " (itoa (vla-get-XRefFadeIntensity (vla-get-Display preferences)))))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-XRefFadeIntensity (vla-get-Display preferences) originalValue)
    (vla-Regen doc acAllViewports)
    (alert (strcat "The XRefFadeIntensity preference was reset back to: " (itoa (vla-get-XRefFadeIntensity (vla-get-Display preferences)))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 15:38

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部